## ICalReqstatType ICalReqstatType |

## Functions

ICalReqstatType * | i_cal_reqstat_type_from_string ()
gchar * | i_cal_reqstat_type_as_string_r ()
ICalRequestStatus | i_cal_reqstat_type_get_code ()
void | i_cal_reqstat_type_set_code ()
const gchar * | i_cal_reqstat_type_get_desc ()
const gchar * | i_cal_reqstat_type_get_debug ()

## Types and Values

#define | I_CAL_REQSTAT_TYPE_TYPE
| ICalReqstatType
struct | ICalReqstatTypeClass

## Description

## Functions

### i_cal_reqstat_type_from_string ()

    ICalReqstatType *
    i_cal_reqstat_type_from_string (const gchar *str);

Create a ICalReqstatType from string.

#### Parameters

str | A string. |

#### Returns

The newly created ICalReqstatType.

[transfer full]

Since:

### i_cal_reqstat_type_as_string_r ()

    gchar *
    i_cal_reqstat_type_as_string_r (ICalReqstatType *stat);

Convert ICalReqstatType to a string representation.

#### Parameters

stat | A ICalReqstatType. |

#### Returns

A string.

[transfer full]

Since:

### i_cal_reqstat_type_get_code ()

    ICalRequestStatus
    i_cal_reqstat_type_get_code (ICalReqstatType *reqstat);

Get the code of ICalReqstatType.

#### Parameters

reqstat | The ICalReqstatType. |

#### Returns

The code of `reqstat` .

Since: 1.0

### i_cal_reqstat_type_set_code ()

    void
    i_cal_reqstat_type_set_code (ICalReqstatType *reqstat,
                                 ICalRequestStatus code);

Set the code of ICalReqstatType.

#### Parameters

reqstat | The ICalReqstatType. |
code | The code of `reqstat` . |

Since: 1.0

### i_cal_reqstat_type_get_desc ()

    const gchar *
    i_cal_reqstat_type_get_desc (ICalReqstatType *reqstat);

Get the desc of ICalReqstatType.

#### Parameters

reqstat | The ICalReqstatType. |

#### Returns

The desc of `reqstat` .

[transfer none]

Since: 1.0

### i_cal_reqstat_type_get_debug ()

    const gchar *
    i_cal_reqstat_type_get_debug (ICalReqstatType *reqstat);

Get the debug of ICalReqstatType.

#### Parameters

reqstat | The ICalReqstatType. |

#### Returns

The debug of `reqstat` .

[transfer none]

Since: 1.0

## Types and Values

### I_CAL_REQSTAT_TYPE_TYPE

    #define             I_CAL_REQSTAT_TYPE_TYPE

### ICalReqstatType

    typedef struct {
    } ICalReqstatType;

This is the ICalReqstatType instance.

### struct ICalReqstatTypeClass

    struct ICalReqstatTypeClass {
    };

This is the ICalReqstatType class.